=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1.tar.gz/,uversionmangle=s/-?rc/~rc/  \
  https://github.com/CanonicalLtd/netplan/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
