=== debian/changelog ===
netplan.io (0.100-0ubuntu5) groovy; urgency=medium

  * debian/control:netplan.io: Suggest openvswitch-switch runtime dependency
  * Add d/p/0002-tests-tunnels-improve-WG-handshake-regex.patch
    and d/p/0003-tests-ovs-fix-OVS-timeouts.patch
    - Improve stability of autopkgtests
  * Add d/p/0004-Fix-MAAS-OVS-first-boot-for-single-NIC-PXE-systems-1.patch
    - Setup OVS early in network-pre.target to avoid delays (LP: #1898997)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 14 Oct 2020 11:29:03 +0200

netplan.io (0.100-0ubuntu4) groovy; urgency=medium

  * debian/tests/cloud-init
    - Improve reboot test to avoid failure on arm64

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 21 Sep 2020 12:23:02 +0200

netplan.io (0.100-0ubuntu3) groovy; urgency=medium

  * debian/tests:
    - Avoid SKIP of 'autostart' test
    - Add 'cloud-init' test script (instead of python 'cloud-init' test) to
      avoid network related issues on the autopkgtest infrastructure
    - Try to keep up the management network interface at all times

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 16 Sep 2020 09:47:07 +0200

netplan.io (0.100-0ubuntu2) groovy; urgency=medium

  * Add d/p/0001-Implement-just-in-time-behaviour-for-generate-162.patch:
    - As of upstream 6b3ac28d1522e07a88a72a42b31a8c9ff9727ac3
    - Fixes first-boot issues with OVS/WPA service units when used on
      cloud-init enabled systems (LP: #1892851)
  * debian/tests/control: Enable new 'cloud-init' test
    - To verify first-boot just-in-time generation

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 09 Sep 2020 13:29:21 +0200

netplan.io (0.100-0ubuntu1) groovy; urgency=medium

  * New upstream release: 0.100
    - Documentation improvements
    - Improved integration tests
    - Overall cleanup and refactoring
    - Improved SR-IOV first boot experience
    - Initial Open vSwitch support (LP: #1728134)
    - Add support for Wireguard tunnels
    - Add support for IP address labels (LP: #1743200)
    - Improved routing & globbing in NetworkManager backend
      - route attributes "from", "onlink" and "table"
      - matching interfaces by glob pattern
    - Add support for hidden wireless SSIDs (LP: #1866100)
    - Introduce support for networkd address options (LP: #1803203)
    - Implement ipv6-address-token key (LP: #1737976)
    Bug fixes:
    - Not connect to WiFi after 'netplan apply' (LP: #1874377)
    - Call daemon-reload after we touched systemd unit files (LP: #1874494)
    - Don't fail if same primary slave was set before (LP: #1817651)
    - Fix process_link_changes handling 'up' interfaces (LP: #1875411)
    - Fix GCC-10 -fno-common linker errors (LP: #1875412)
    - Flush IPs of NM managed interfaces (LP: #1870561)
  * Enable autopkgtests for OVS and wireguard
  * Drop all distro patches, which have been integrated upstream
  * Update symbols file
  * Added openvswitch-switch to Build-Depends
    - ovs-vsctl is required to pass the unit-tests

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 03 Sep 2020 15:51:29 +0200

netplan.io (0.99-0ubuntu6) groovy; urgency=medium

  * d/p/0005-Fix-GCC-10-fno-common-linker-errors-LP-1875412-155.patch
    - Fix FTBFS if compiled using GCC-10 (LP: #1875412)
    - Using upstream commit 50ac1a1
  * Refresh patches using 'gbp pq'

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Tue, 28 Jul 2020 14:12:28 +0200

netplan.io (0.99-0ubuntu5) groovy; urgency=medium

  * d/p/0001-Fix-autopkgtest-on-arm64-with-NM-1.24-146.patch
    - Fix autopkgtest failure on arm64 in combination with new NM-1.24
  * d/p/0001-Call-daemon-reload-after-we-touched-systemd-unit-fil.patch
    - Re-calculate systemd dependencies, after touching .service
      units (LP: #1874494)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 18 Jun 2020 11:36:59 +0200

netplan.io (0.99-0ubuntu4) groovy; urgency=medium

  * d/p/0002-Fix-process_link_changes-handling-up-interfaces.patch:
    - Fix process_link_changes handling 'up' interfaces (LP: #1875411)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 28 May 2020 21:09:51 +0000

netplan.io (0.96-0ubuntu5) eoan; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 26 Apr 2019 15:18:13 -0400
