=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  pycodestyle | pep8,
  python3-nose,
  pandoc,
+ openvswitch-switch,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
@@ -38,10 +39,11 @@
  python3,
  python3-yaml,
  python3-netifaces,
- systemd (>= 235-3ubuntu3),
-Suggests: network-manager | wpasupplicant
+ systemd (>= 239~),
+Suggests: network-manager | wpasupplicant,
+ openvswitch-switch,
 Conflicts: netplan
-Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-0ubuntu4~)
+Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
 Replaces: nplan (<< 0.34~)
 Provides: nplan
 Description: YAML network configuration abstraction for various backends
@@ -52,20 +54,6 @@
  networking daemon.
  .
  Currently supported backends are networkd and NetworkManager.
-
-Package: nplan
-Architecture: all
-Priority: optional
-Section: oldlibs
-Depends: netplan.io, ${misc:Depends}
-Description: YAML network configuration abstraction - transitional package
- netplan reads YAML network configuration files which are written
- by administrators, installers, cloud image instantiations, or other OS
- deployments. During early boot it then generates backend specific
- configuration files in /run to hand off control of devices to a particular
- networking daemon.
- .
- This is a transitional package that installs 'netplan.io'.
 
 Package: libnetplan0
 Architecture: any
