=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,17 @@
+Test-Command: python3 tests/integration/run.py --test=ovs
+Tests-Directory: tests/integration
+Depends: @,
+  systemd,
+  network-manager,
+  hostapd,
+  dnsmasq-base,
+  libnm0,
+  python3-gi,
+  gir1.2-nm-1.0,
+  openvswitch-switch,
+Restrictions: allow-stderr, needs-root, isolation-machine
+Features: test-name=ovs
+
 Test-Command: python3 tests/integration/run.py --test=ethernets
 Tests-Directory: tests/integration
 Depends: @,
@@ -86,6 +100,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
+  wireguard-tools,
 Restrictions: allow-stderr, needs-root, isolation-machine
 Features: test-name=tunnels
 
@@ -116,4 +131,3 @@
 Features: test-name=regressions
 
 Tests: autostart
-Restrictions: allow-stderr, needs-root, isolation-container
