=== debian/changelog ===
netplan.io (0.101-4) unstable; urgency=medium

  * Build-depend on ovs on amd64 only due to a bug in its postinst.
    See #979366 for details.
  * Drop the custom build profile, nocheck is enough.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 22:01:50 +0100

netplan.io (0.101-3) unstable; urgency=medium

  * Mark the package linux-any.
  * Skip openvswitch-switch dependency on m68k and ppc64.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 19:28:50 +0100

netplan.io (0.101-2) unstable; urgency=medium

  * Reindent debian/control.
  * Add build profiles.
  * Add cloud tests but mark them as flaky and skip-not-installable
    for now.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 17:40:42 +0100

netplan.io (0.101-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Merge changes from Ubuntu.
  * Let tests fail.
  * Remove the hack to fix build with GCC 10 (actually closes: #957603).

  [ Lukas Märdian ]
  * d/control: fix lintian warning about trailing whitespace
  * d/p/0001-Fix-changing-of-macaddress-with-systemd-v247-178.patch:
    Fix MAC address changes with systemd v247 by using a new approach inside
    systemd's .network file. It also works with older version of systemd.
  * Add d/p/0002-parse-fix-networkmanager-backend-options-for-modem-c.patch:
    Allows parsing of networkmanager: backend handlers for modem devices
  * Update symbols file

  [ Michael Biebl ]
  * Stop using deprecated systemd-resolve tool (Closes: #979266).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 20:34:58 +0100

netplan.io (0.99-2) experimental; urgency=medium

  * Split libnetplan off into separate packages.
  * Force -fcommon to enable builds with GCC 10 to work around #957603.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 27 Apr 2020 17:17:54 +0200

netplan.io (0.99-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Drop old upstream patches.
  * Update the co-maintainer list.
  * Bump Standards-Version to 4.5.0.
  * Update copyright years.

  [ Lukas Märdian ]
  * debian:tests:control: add autopkgtest dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 27 Apr 2020 11:01:26 +0200
