=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: netplan.io
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
- Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
+ Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>,
+ Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
 Section: net
 Priority: optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 12),
  pkg-config,
  bash-completion,
  libyaml-dev,
@@ -20,19 +21,20 @@
  libsystemd-dev,
  systemd,
  dbus-x11,
- pyflakes3,
- pycodestyle | pep8,
- python3-nose,
+ pyflakes3 <!nocheck>,
+ pycodestyle | pep8 <!nocheck>,
+ python3-nose <!nocheck>,
  pandoc,
- openvswitch-switch,
+ openvswitch-switch [amd64] <!nocheck>,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
 
 Package: netplan.io
-Architecture: any
+Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends},
  iproute2,
  libnetplan0 (>= ${binary:Version}),
@@ -40,7 +42,8 @@
  python3-yaml,
  python3-netifaces,
  systemd (>= 239~),
-Suggests: network-manager | wpasupplicant,
+Suggests:
+ network-manager | wpasupplicant,
  openvswitch-switch,
 Conflicts: netplan
 Breaks: nplan (<< 0.34~), network-manager (<< 1.2.2-1)
@@ -56,9 +59,10 @@
  Currently supported backends are networkd and NetworkManager.
 
 Package: libnetplan0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends},
 Description: YAML network configuration abstraction runtime library
  netplan reads YAML network configuration files which are written
@@ -72,7 +76,7 @@
  This package contains the necessary runtime library files.
 
 Package: libnetplan-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
  libnetplan0 (= ${binary:Version}),
@@ -87,4 +91,3 @@
  .
  This package contains development files for developers wanting to use
  libnetplan in their applications.
-
