=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   openvswitch-switch,
-Restrictions: allow-stderr, needs-root, isolation-machine
+Restrictions: allow-stderr, needs-root, isolation-machine, skip-not-installable, flaky
 Features: test-name=ovs
 
 Test-Command: python3 tests/integration/run.py --test=ethernets
@@ -128,6 +128,3 @@
   python3-gi,
   gir1.2-nm-1.0,
 Restrictions: allow-stderr, needs-root, isolation-machine
-Features: test-name=regressions
-
-Tests: autostart
