## netplan.io 0.102

=== debian/changelog ===
netplan.io (0.102-0ubuntu2) hirsute; urgency=medium

  * gbp.conf: use ubuntu/<version> tags
  * control: strict libnetplan dependency on binary version (LP: #1922898)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 14 Apr 2021 11:35:12 +0200

netplan.io (0.102-0ubuntu1) hirsute; urgency=medium

  * New upstream release: 0.102 (LP: #1919453)
    - New API for NetworkManager YAML backend
    - Added congestion-window & advertised-receive-window options for routes
    - Added ttl option for tunnels (LP: #1846783)
    - Improved netplan set CLI to override existing files
    - Moved upstream repository to https://github.com/canonical/netplan/
    - Documentation improvements
    - Improved Github Actions CI and CodeQL integration
    - Minor cleanup/typos/test improvements
    Bug fixes:
    - systemd v247 compatibility (for changing MAC address)
    - OVS 2.15 compatibility (wording changes)
    - Allow networkmanager: backend options for modem devices
    - Prevent duplicate ARPIPTargets in NetDev files (LP: #1915837)
  * Drop all distro patches, which have been integrated upstream
  * Update symbols file
  * Enable pristine-tar in gbp
  * Allow running more tests in a container

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 24 Mar 2021 08:54:23 +0100

netplan.io (0.101-4ubuntu3) hirsute; urgency=medium

  * d/changelog: Restore history, which was lost during previous merge
  * d/watch, d/copyright: Update Github URL
  * d/tests/control:
    - Mark ovs & cloud-init tests non-flaky
    - Mark tests with the "breaks-testbed" restriction
  * Fix DNS issues during tests on ppc64el (LP: #1916888):
    - d/p/0007-tests-keep-management-network-up-at-all-times-during.patch
    - d/p/0008-tests-integration-cleanup-OVS-WPA-files.patch

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Fri, 26 Feb 2021 17:47:08 +0100

netplan.io (0.101-4ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:25 +0000

netplan.io (0.101-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian. Remaining changes:
    - Keep running dh_auto_test
    - Keep openvswitch dependency for all arches
    - 0003-tests-adopt-to-wording-changes-as-of-OVS-2.15.patch
    - 0004-tests-tunnels-improve-test-reliability.patch
    - 0005-tests-dbus-improve-test-stability-of-timeouts.patch
    - 0006-tests-integration-adopt-for-racy-systemd-MAC-assignm.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 08 Feb 2021 11:54:07 +0100

netplan.io (0.101-0ubuntu5) hirsute; urgency=medium

  * Add d/p/0004-tests-tunnels-improve-test-reliability.patch
    and d/p/0005-tests-dbus-improve-test-stability-of-timeouts.patch
    for improved compile-time test stability
  * Add d/p/0006-tests-integration-adopt-for-racy-systemd-MAC-assignm.patch
    for compatibility with new systemd

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 04 Feb 2021 11:35:28 +0100

netplan.io (0.101-0ubuntu4) hirsute; urgency=medium

  * Add d/p/0003-tests-adopt-to-wording-changes-as-of-OVS-2.15.patch:
    Adopt autopkgtests to wording changes of OVS 2.15 (slave -> member)
  * d/control: fix lintian warning about trailing whitespace
  * d/control: fix lintian warning about deprecated d/compat file

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 06 Jan 2021 09:56:57 +0100

netplan.io (0.101-0ubuntu3) hirsute; urgency=medium

  * Add d/p/0002-parse-fix-networkmanager-backend-options-for-modem-c.patch:
    Allows parsing of networkmanager: backend handlers for modem devices

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 17 Dec 2020 10:49:43 +0100

netplan.io (0.101-0ubuntu2) hirsute; urgency=medium

  * d/p/0001-Fix-changing-of-macaddress-with-systemd-v247-178.patch:
    Fix MAC address changes with systemd v247 by using a new approach inside
    systemd's .network file. It also works with older version of systemd.

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 16 Dec 2020 13:43:51 +0100

netplan.io (0.101-0ubuntu1) hirsute; urgency=medium

  * New upstream release: 0.101
    - Documentation improvements
    - Improved integration tests
    - Add more examples for Wireguard, Open vSwitch, DBus
    - Improve test stability
    - Implementation of DBus Config/Get/Set/Try APIs
    - Add per-route MTU option (LP: #1860201)
    Bug fixes:
    - Fix MAAS OVS first boot (LP: #1898997)
    - Fix match of duplicate MAC on VLANs (LP: #1888726)
    - Fix crash in Python parser (LP: #1904633) (LP: #1905156)
    - Fix rename of matched interfaces at runtime (LP: #1904662)
  * Drop all distro patches, which have been integrated upstream
  * Update symbols file

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 09 Dec 2020 09:41:50 +0100
