=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: netplan.io
-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>,
@@ -25,7 +26,7 @@
  pycodestyle | pep8 <!nocheck>,
  python3-nose <!nocheck>,
  pandoc,
- openvswitch-switch [amd64] <!nocheck>,
+ openvswitch-switch <!nocheck>,
 Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
 Vcs-Browser: https://salsa.debian.org/debian/netplan.io
 Homepage: https://netplan.io/
@@ -37,7 +38,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  iproute2,
- libnetplan0 (>= ${binary:Version}),
+ libnetplan0 (= ${binary:Version}),
  python3,
  python3-yaml,
  python3-netifaces,
